<template>
  <div class="boxFilters cus-mobile-hide show color-background">
    <div class="container">
      <div class="row">
        <div class="col-md-6">
          Result Filters
        </div>
        <div class="col-md-6 text-right">
          <p>
            <a @click.prevent="clearFilter" class="text-color clear-filter" id="clear-filter">
              Clear all
              filters
            </a>
          </p>
        </div>
      </div>

      <div class="col-12 try">
        <ul class="listFilters">
          <li>
            <div class="dropdown">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenType = !isHiddenType">
                <span class="colorBlack font-type">Job Type</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div class="form-control job-type2-options toogle-div" v-if="!isHiddenType">
                <ul>
                  <li>
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.job_type"
                      type="checkbox"
                      value="CONTRACT"
                    />Contract
                  </li>
                  <li>
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.job_type"
                      type="checkbox"
                      value="PERMANENT"
                    />Permanent
                  </li>
                  <li>
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.job_type"
                      type="checkbox"
                      value="INTERNSHIP"
                    />Internship
                  </li>
                </ul>
              </div>
            </div>
          </li>

          <li class="btn btn-default reset-hover size-box remove-pad">
           <div class="dropdownTransparent">
              <input
                      v-model="filter.baseRate.from"
                      type="number"
                      class="bg-gray-300 mb-1 px-2 reset-hover border-remove size-input text-opt"
                      placeholder="Pay Rate/Day Min"
                    />
                    </div>
          </li>
        
          <li>
            <div class="dropdownTransparent">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenExp = !isHiddenExp">
                <span class="colorBlack font-type">Experiences</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div class="form-control category2-options toogle-div" v-if="!isHiddenExp">
                <ul>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.work_experience"
                      type="checkbox"
                      value="FRESH"
                    />Fresh
                  </li>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.work_experience"
                      type="checkbox"
                      value="1-3 YEARS"
                    />1-3 Years
                  </li>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.work_experience"
                      type="checkbox"
                      value="5-10 YEARS"
                    />5-10 Years
                  </li>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.work_experience"
                      type="checkbox"
                      value="10+ YEARS"
                    />10+ Years
                  </li>
                </ul>
              </div>
            </div>
          </li>

          <li>
            <div class="dropdownTransparent">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenCat = !isHiddenCat">
                <span class="colorBlack font-type">Categories</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div class="form-control category2-options toogle-div" v-if="!isHiddenCat">
                <ul>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.category"
                      type="checkbox"
                      value="BASIS/S & A"
                    />Basis/S &amp; A
                  </li>

                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.category"
                      type="checkbox"
                      value="FUNCTIONAL"
                    />
                    Functional
                  </li>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.category"
                      type="checkbox"
                      value="TECHNICAL"
                    />Technical
                  </li>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.category"
                      type="checkbox"
                      value="PROJECT MANAGER/SOLUTION ARCHITECT"
                    />Project Manager/Solution Architect
                  </li>
                  <li class="categry2-options-li">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.category"
                      type="checkbox"
                      value="OTHERS"
                    />Others
                  </li>
                </ul>
              </div>
            </div>
          </li>
          <li>
            <div class="dropdownTransparent">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenMode = !isHiddenMode">
                <span class="colorBlack font-type">Job Mode</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div class="form-control job-mode2-options toogle-div" v-if="!isHiddenMode">
                <ul>
                  <li>
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.job_mode"
                      type="checkbox"
                      value="FULL TIME"
                    />Full
                    Time
                  </li>
                  <li>
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.job_mode"
                      type="checkbox"
                      value="PART TIME"
                    />Part
                    Time
                  </li>
                </ul>
              </div>
            </div>
          </li>

          <li>
            <div class="dropdownTransparent">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenDate = !isHiddenDate">
                <span class="colorBlack font-type">Start Date From</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div class="form-control job-state2-options toogle-div" v-if="!isHiddenDate">
                <ul>
                  <li class="categry2-options-li" v-for="(date, index) in form.dates" :key="index">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.date"
                      type="checkbox"
                      :value="date.value"
                    />
                    {{date.label}}
                  </li>
                </ul>
              </div>
            </div>
          </li>
          <li>
            <div class="dropdownTransparent">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenDura = !isHiddenDura">
                <span class="colorBlack font-type">Duration</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div class="form-control job-state2-options toogle-div" v-if="!isHiddenDura">
                <ul>
                  <li
                    class="categry2-options-li"
                    v-for="(duration, index) in form.durations"
                    :key="index"
                  >
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.durations"
                      type="checkbox"
                      :value="duration.max"
                    />
                    {{duration.label}}
                  </li>
                </ul>
              </div>
            </div>
          </li>
          <li>
            <div class="dropdownTransparent">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenInd = !isHiddenInd">
                <span class="colorBlack font-type">Industry</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div
                class="form-control job-state2-options toogle-div"
                style="height:400px!important;overflow: hidden;"
                v-if="!isHiddenInd"
              >
                <div
                  style="overflow: auto;max-height: 100%;z-index=9999;width: 100%!important;overflow-x: hidden;"
                >
                  <ul>
                    <li
                      class="categry2-options-li"
                      v-for="(industry, index) in form.industry"
                      :key="index"
                    >
                      <input
                        class="mr-2 leading-tight"
                        v-model="filter.industry"
                        type="checkbox"
                        :value="industry.name | uppercase"
                      />
                      {{industry.name}}
                    </li>
                  </ul>
                </div>
              </div>
            </div>
          </li>
          <li>
            <div class="dropdownTransparent">
              <span class="btn btn-default reset-hover" v-on:click="isHiddenSta = !isHiddenSta">
                <span class="colorBlack font-type">State</span>
                <img
                  :src="geturl"
                  class="position-right"
                />
              </span>
              <div class="form-control job-state2-options toogle-div" v-if="!isHiddenSta">
                <ul>
                  <li class="categry2-options-li" v-for="(state, index) in form.state" :key="index">
                    <input
                      class="mr-2 leading-tight"
                      v-model="filter.state"
                      type="checkbox"
                      :value="state.state_name | uppercase"
                    />
                    {{state.state_name}}
                  </li>
                </ul>
              </div>
            </div>
          </li>
        </ul>
      </div>
    </div>
  </div>
</template>

<script>
import api from "../../api/jobs";
export default {
  props: {
    filter: {
      type: Object
    }
  },
  data() {
    return {
      form: {
        industry: [],
        state: [],
        cities: [],
        term: [],
        date_opened: "",
        dates: [
          {
            label: "Within Week",
            value: 7
          },
          {
            label: "Within Month",
            value: 30
          },
          {
            label: "Within 3 Months",
            value: 90
          },
          {
            label: "Within 6 Months",
            value: 180
          },
          {
            label: "Within Year",
            value: 365
          }
        ],
        durations: [
          {
            label: "1-3 months",
            min: 1,
            max: 3
          },
          {
            label: "4-6 months",
            min: 4,
            max: 6
          },
          {
            label: "6-12 months",
            min: 6,
            max: 12
          },
          {
            label: "> 12 months",
            min: 12,
            max: -1
          }
        ]
      },
      isHiddenCat: true,
      isHiddenMode: true,
      isHiddenType: true,
      isHiddenRate: true,
      isHiddenExp: true,
      isHiddenDate: true,
      isHiddenDura: true,
      isHiddenInd: true,
      isHiddenSta: true
    };
  },
  methods: {
    fetchFilterData() {
      api
        .getListOfIndustry()
        .then(res => {
          this.form.industry = res.data;
          return api.getListOfState();
        })
        .then(res => {
          this.form.state = res.data;
          return api.getListOfCities();
        })
        .then(res => {
          this.form.cities = res.data;
        })
        .catch(err => {
          console.log(err);
        });
    },
    term() {
      var url = window.location.search;
      let params = new URLSearchParams(location.search);
      this.form.term = params.get("jobsearchterm");

      if (typeof this.form.term !== "undefined" || this.form.term) {
        return true;
      } else return false;
    }
  },
  computed:{
    geturl : function() { 
    let curr = process.env.MIX_API_URL;
    this.fullurl = curr +  "/public/images/new-design/dropdown1.png";
    return this.fullurl;
    }
  },
  mounted() {
    this.fetchFilterData();
  }
};
</script>
<style>
.color-background {
  background-color: #454545;
}

.text-color {
  color: white;
}

.btn-default {
  background-color: white;
}

.text-color1 {
  color: black;
}

.text-size {
  font-size: 14px !important;
}

.colorBlack {
  color: #969595 !important;
}

.font-type {
  font-family: Futura PT;
  font-size: 14px !important;
  font-weight: normal;
}

.boxFilters .container {
  max-width: 1200px;
}

.spacebottom {
  margin-bottom: 10px;
}

.try {
  padding-right: 0px !important;
  padding-left: 0px !important;
}

.border-remove{
  border: none;
}

.size-input{
  max-width: 100%;
}
.reset-hover:hover{
background-color: white;

}

input[type=number]::-webkit-inner-spin-button, 
input[type=number]::-webkit-outer-spin-button { 
  -webkit-appearance: none; 
  margin: 0; 
}
input[type=number] {
    -moz-appearance:textfield;
}
</style>